Mark message as Interacted
curl --request PATCH \
--url https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/interacted \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>' \
--data '
{
"interactions": [
"<string>"
]
}
'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/interacted"
payload = { "interactions": ["<string>"] }
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
onBehalfOf: '<onbehalfof>',
apikey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({interactions: ['<string>']})
};
fetch('https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/interacted', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "The message id 7 has been marked as interacted for the user superhero1."
}
}Messages
Mark message as Interacted
Mark message as Interacted on behalf of a user.
PATCH
/
messages
/
{id}
/
interacted
Mark message as Interacted
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message whose details are to be fetched.
Body
application/json
A list of element Ids to be marked as interacted!
Response
200 - application/json
Marking Message as Interacted
Show child attributes
Show child attributes
⌘I